Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.jms
Class JMSTaskClientConnector

    java.lang.Object
      org.jbpm.task.service.jms.JMSTaskClientConnector

All Implemented Interfaces:
  TaskClientConnector

    public class JMSTaskClientConnector

extends Object
implements TaskClientConnector

Nested Class Summary
`protected class` | `JMSTaskClientConnector.Responder`

Field Summary
`protected QueueConnection` | `connection`
`protected QueueSession` | `consumerSession`
`protected AtomicInteger` | `counter`
`protected BaseClientHandler` | `handler`
`protected String` | `name`
`protected QueueSession` | `producerSession`
`protected Queue` | `responseQueue`
`protected Queue` | `taskServerQueue`

Constructor Summary
`JMSTaskClientConnector(String name, BaseClientHandler handler, Properties connectionProperties, Context context)`

Method Summary
`boolean` | `connect()`
`boolean` | `connect(String address, int port)`
`void` | `disconnect()`
`AtomicInteger` | `getCounter()`
`BaseHandler` | `getHandler()`
`String` | `getName()`
`void` | `write(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected final BaseClientHandler handler

### name

    protected final String name

### counter

    protected AtomicInteger counter

### connection

    protected QueueConnection connection

### producerSession

    protected QueueSession producerSession

### consumerSession

    protected QueueSession consumerSession

### taskServerQueue

    protected Queue taskServerQueue

### responseQueue

    protected Queue responseQueue

Constructor Detail

### JMSTaskClientConnector

    public JMSTaskClientConnector(String name,
                                  BaseClientHandler handler,
                                  Properties connectionProperties,
                                  Context context)

Method Detail

### connect

    public boolean connect(String address,
                           int port)

  Specified by:
    `connect` in interface `TaskClientConnector`

### connect

    public boolean connect()

  Specified by:
    `connect` in interface `TaskClientConnector`

### disconnect

    public void disconnect()

  Specified by:
    `disconnect` in interface `TaskClientConnector`

### write

    public void write(Object object)

  Specified by:
    `write` in interface `TaskClientConnector`

### getCounter

    public AtomicInteger getCounter()

  Specified by:
    `getCounter` in interface `TaskClientConnector`

### getHandler

    public BaseHandler getHandler()

  Specified by:
    `getHandler` in interface `TaskClientConnector`

### getName

    public String getName()

  Specified by:
    `getName` in interface `TaskClientConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.